%define module_name ipw3945
%define module_path %{_usrsrc}/%{module_name}-%{version}-%{release}

Summary:	Intel(R) PRO/Wireless 3945ABG Network Connection driver
Name:		dkms-%{module_name}
Version:	1.2.2
Release:	%mkrel 6
License:	GPL
Group:		System/Kernel and hardware
URL:		http://ipw3945.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ipw3945/%{module_name}-%{version}.tar.bz2
Source1:	kernel-2.6.24-MAC_BUF_ARG.patch
Source2:	kernel-2.6.24-SET_MODULE_OWNER.patch
Requires(pre):	dkms
Requires(post):	dkms
Suggests:	ipw3945d
Suggests:	ipw3945-ucode
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package contains the Intel(R) PRO/Wireless 3945ABG Network Connection
driver for Linux which supports the following network adapters:
- Intel(R) PRO/Wireless 3945ABG Network Connection Adapter
- Intel(R) PRO/Wireless 3945BG Network Connection Adapter

%prep
%setup -q -n %{module_name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{module_path}
mkdir -p %{buildroot}/%{module_path}/snapshot
mkdir -p %{buildroot}/%{module_path}/patches
cp -a Makefile ipw3945.h ipw3945.c ipw3945_daemon.h %{buildroot}/%{module_path}
cp -a snapshot/{check_ieee80211_compat,find_ieee80211} %{buildroot}/%{module_path}/snapshot
cp -a %SOURCE1 %SOURCE2 %{buildroot}/%{module_path}/patches/
cat > %{buildroot}/%{module_path}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module_name}"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/%{module_name}"
BUILT_MODULE_NAME[0]="%{module_name}"
MAKE[0]="cd \${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build ; \
	make KSRC=\${kernel_source_dir} IEEE80211_INC=\${kernel_source_dir}/include \
	CONFIG_IPW3945_MONITOR=y IEEE80211_IGNORE_DUPLICATE=y"
CLEAN="cd \${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build ; \
	make KSRC=\${kernel_source_dir} clean"
REMAKE_INITRD="no"
AUTOINSTALL="yes"
PATCH[0]=%(basename %SOURCE1)
PATCH[1]=%(basename %SOURCE2)
PATCH_MATCH[0]="2\.6\.2[456]"
PATCH_MATCH[1]="2\.6\.2[456]"
EOF

# allow monitor mode
perl -pi -e 's/ //' \ %{buildroot}/%{module_path}/Makefile

%clean
rm -rf %{buildroot}

%post
dkms add     -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
# rmmod any old driver if present and not in use
rmmod %{module_name} > /dev/null 2>&1 || true

%preun
dkms remove  -m %{module_name} -v %{version}-%{release} --all --rpm_safe_upgrade

%files
%defattr(-,root,root)
%doc LICENSE* README.ipw3945 INSTALL ISSUES CHANGES load unload dvals FILES
%{module_path}




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-6mdv2009.0
+ Revision: 266566
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.2-5mdv2009.0
+ Revision: 213877
- apply patches for kernel 2.6.26 too

* Fri May 02 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.2-4mdv2009.0
+ Revision: 199998
- patches needed for kernel 2.6.25 too

* Wed Apr 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.2-3mdv2008.1
+ Revision: 191559
- only suggest ipw3945d and ipw3945-ucode instead of requiring them
  (they are not available in contrib, where dkms-ipw3945 is)

* Mon Dec 24 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.2-2mdv2008.1
+ Revision: 137388
- buildable on kernels older than 2.6.24 again

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.2-1mdv2008.1
+ Revision: 121472
- update to version 1.2.2
- fixes for kernel 2.6.24 (breaks build on earlier kernels)

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.2.1-2mdv2008.0
+ Revision: 94463
- update to new version

* Fri Jun 15 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.1-1mdv2008.0
+ Revision: 39942
- New release 1.2.1


* Fri Jan 26 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-1mdv2007.0
+ Revision: 114236
- New Release: 1.2.0

* Mon Jan 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 103031
- allow monitor mode

* Sun Dec 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 102956
- new version

* Sun Dec 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.12-1mdv2007.1
+ Revision: 102924
- Import dkms-ipw3945

* Sun Jul 09 2006 Michael Reinsch <mr@uue.org> 1.0.12-1mdv2007.0
- updated to 1.0.12
- include required scripts to build module
- cleanups

* Wed Jun 14 2006 Michael Reinsch <mr@uue.org> 1.0.5-1mdv
- first package for Mandriva Linux

